maven-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Dave Hoffer" <DHof...@xrite.com>
Subject Set notation for dependency version behavior question
Date Wed, 18 Apr 2007 15:28:44 GMT
When specifying the version of a dependency using set notation, i.e.
[1.0,) should maven consider SNAPSHOTS when looking for valid versions?

Currently it seems that maven2/plugins is inconsistent in how it deals
with set notation.  It seems that during the release goal it will use
local SNAPSHOTS that have versions after 1.0, i.e. 1.1-SNAPSHOT and
complain that it cannot perform the release because of this SNAPSHOT
dependency.  However it seems all other goals do not consider SNAPSHOTS
as valid versions when using set notation for the dependency version.

It seems to me that the release goal has it wrong and that its current
behavior makes set notation un-usable.

How should this work?

-Dave

---------------------------------------------------------------------
To unsubscribe, e-mail: users-unsubscribe@maven.apache.org
For additional commands, e-mail: users-help@maven.apache.org


Mime
View raw message